SubjectVariables (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.basic.SubjectVariables class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class SubjectVariables

    java.lang.Object
      com.meyling.principia.logic.basic.SubjectVariables

public class SubjectVariables
extends Object

Set of subject variables.

Version:
  $Revision: 1.8 $
Author:
  Michael Meyling

Constructor Summary
`SubjectVariables()` Construct an empty set of subject variables.
`SubjectVariables(SubjectVariableMarker[] already)` Construct a new set of subject variables with some initial entries.
`SubjectVariables(SubjectVariables already)` Construct a new set of subject variables with the same entires as the given one.

Method Summary
`void` | `add(SubjectVariableMarker variable)` Add a subject variable to the set.
`void` | `addAll(SubjectVariables newOnes)` Add all these subject variables.
`boolean` | `contains(SubjectVariableMarker variable)` Check if a certain subject variable is already in the set.
`boolean` | `contains(SubjectVariables variables)` Does this object contain another set of subject variables and pattern variables?
`boolean` | `emptyIntersection(SubjectVariables variables)` Does this object have an empty intersection with another set of subject variables and pattern variables?
`boolean` | `equals(SubjectVariables variables)` Is this object equal to another one?
`int` | `getHighestNumber()` Get highest number of each entry.
`int` | `getSize()` Get number of elements in the set.
`void` | `remove(SubjectVariableMarker variable)` Remove a subject variable or a pattern variable from the set.
`String` | `toString()` Get a readable string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubjectVariables

    public SubjectVariables()

  Construct an empty set of subject variables.

### SubjectVariables

    public SubjectVariables(SubjectVariables already)

  Construct a new set of subject variables with the same entires as the given one.

Parameters:
  `already` - these subject variable entries should be added

### SubjectVariables

    public SubjectVariables(SubjectVariableMarker[] already)

  Construct a new set of subject variables with some initial entries.

Parameters:
  `already` - these subject variable entries should be added

Method Detail

### add

    public final void add(SubjectVariableMarker variable)

  Add a subject variable to the set.

  Parameters:
    `variable` - add this subject variable

### contains

    public final boolean contains(SubjectVariableMarker variable)

  Check if a certain subject variable is already in the set.

  Parameters:
    `variable` - check for this variable
  Returns:
    is `variable` already there?

### emptyIntersection

    public final boolean emptyIntersection(SubjectVariables variables)

  Does this object have an empty intersection with another set of subject variables and pattern variables?

  Parameters:
    `variables` - to build intersection with
  Returns:
    is the intersection empty?

### contains

    public final boolean contains(SubjectVariables variables)

  Does this object contain another set of subject variables and pattern variables?

  Parameters:
    `variables` - check this set
  Returns:
    is `variables` a subset?

### addAll

    public final void addAll(SubjectVariables newOnes)

  Add all these subject variables.

  Parameters:
    `newOnes` - these should be added

### getSize

    public final int getSize()

  Get number of elements in the set.

  Returns:
    element number of set

### getHighestNumber

    public final int getHighestNumber()

  Get highest number of each entry.

  Returns:
    maxiumum of number value for all entries, if getSize() == 0 it returns -1

### remove

    public final void remove(SubjectVariableMarker variable)

  Remove a subject variable or a pattern variable from the set.

  Parameters:
    `variable` - remove this subject variable one

### toString

    public final String toString()

  Get a readable string representation of this object.

  Returns:
    description of this object

### equals

    public final boolean equals(SubjectVariables variables)

  Is this object equal to another one?

  Parameters:
    `variables` - object to compare with
  Returns:
    do all their entries are equal?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.